Description: abort-centaurvltop-if-insufficient-memory
Forwarded: not-needed
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 acl2 (6.5-3) unstable; urgency=medium
 .
   * build-dep latest gcl
   * abort centaur/vl/top cert if insufficient memory (mips autobuild)
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- acl2-6.5.orig/books/centaur/vl/top.acl2
+++ acl2-6.5/books/centaur/vl/top.acl2
@@ -1,6 +1,7 @@
 (in-package "ACL2")
 #+gcl (acl2::value :q)
 #+gcl (setq si::*optimize-maximum-pages* nil)
+#+gcl (let ((w (multiple-value-bind (a b c d) (si::heap-report) (/ (- d c) (/ a 8))))) (when #+native-reloc t #-native-reloc (< w 500000000) (bye -1)))
 #+gcl (acl2::lp)
 (include-book "portcullis")
 ; cert-flags: ? t :ttags :all
